# Makefile for the CLISP binaries
# DO NOT EDIT! GENERATED AUTOMATICALLY!

# -------------- Start of configurable section --------------------

# Directories used by "make install":
prefix = /usr/local
exec_prefix = $(prefix)
bindir = $(exec_prefix)/bin
mandir = $(exec_prefix)/man
libdir = $(exec_prefix)/lib
lisplibdir = $(libdir)/lisp

# Programs used by "make":
CC = gcc -O
CFLAGS = -W -Wswitch -Wcomment -Wpointer-arith -Wimplicit -Wreturn-type -fomit-frame-pointer
CPP = gcc -O -E -w
LFLAGS = -static
# for Acorn C
#CC = cc
#CFLAGS = -D__CHAR_UNSIGNED__ -D__riscos -D__arm -wanp -JUnix: -LUnix:o.Unixlib -IUnix:
#CPP = cc -E
#LFLAGS =
LIBS = libreadline.a  -ltermcap
ASM = objasm
ASMFLAGS = -Stamp -Quit -CloseExec
SED = hd4:tmp.bin.sed

MAKE = make
RM = remove
CP = cp ~A~CN
LN = cp ~A~CN
MV = cp ~A~CDF
CAT = hd4:tmp.bin.cat
TOUCH = stamp
SED = hd4:tmp.bin.sed
AR = ar    # extract object from library ?
RANLIB = ranlib

# Programs used by "make install":
INSTALL = /usr1/haible/bin/install -c
INSTALL_PROGRAM = $(INSTALL)
INSTALL_DATA = $(INSTALL) -m 644

# Programs used by "make distrib":

# formatter for manual page
ROFF_MAN = nroff -a -man # try "groff -Tascii -mandoc" or "nroff -man"
ROFF_DVI =  # try "groff -Tdvi -mandoc"

# -------------- End of configurable section --------------------

SHELL = /bin/sh

COMMENT5 = /comment5
ANSIDECL = /ansidecl
TXT2C = /txt2c
LISP_RUN = lisp_run
TEMPDIR = <Wimp$ScrapDir>
TEMPFILE = <Wimp$Scrap>

DFILES = \
d.spvw \
d.spvwtabf \
d.spvwtabs \
d.spvwtabo \
d.eval \
d.control \
d.pathname \
d.stream \
d.socket \
d.io \
d.array \
d.hashtabl \
d.list \
d.package \
d.record \
d.sequence \
d.charstrg \
d.debug \
d.error \
d.misc \
d.predtype \
d.symbol \
d.lisparit0 \
d.stdwin \
d.graph \
d.dbxtypes \
d.unixaux \
d.acornaux \
d.lispbibl \
d.fsubr \
d.subr \
d.pseudofun \
d.constsym \
d.constobj \
d.unix \
d.constpack \
d.avl \
d.sort \
d.aridecl \
d.arilev0 \
d.arilev1c \
d.arilev1e \
d.arilev1i \
d.noreadline \
d.main \
d.ariarm

CFILES = \
spvw.c \
spvwtabf.c \
spvwtabs.c \
spvwtabo.c \
eval.c \
control.c \
pathname.c \
stream.c \
socket.c \
io.c \
array.c \
hashtabl.c \
list.c \
package.c \
record.c \
sequence.c \
charstrg.c \
debug.c \
error.c \
misc.c \
predtype.c \
symbol.c \
lisparit0.c \
stdwin.c \
graph.c \
dbxtypes.c \
unixaux.c \
acornaux.c \
lispbibl.c \
fsubr.c \
subr.c \
pseudofun.c \
constsym.c \
constobj.c \
acorn.c \
constpack.c \
avl.c \
sort.c \
aridecl.c \
arilev0.c \
arilev1c.c \
arilev1e.c \
arilev1i.c \
noreadline.c \
main.c \
ariarm.c

OBJECTS = \
spvw.o \
spvwtabf.o \
spvwtabs.o \
spvwtabo.o \
eval.o \
control.o \
pathname.o \
stream.o \
socket.o \
io.o \
array.o \
hashtabl.o \
list.o \
package.o \
record.o \
sequence.o \
charstrg.o \
debug.o \
error.o \
misc.o \
predtype.o \
symbol.o \
lisparit0.o \
stdwin.o \
graph.o \
dbxtypes.o \
unixaux.o \
acornaux.o \
ariarm.o

LSPFILES = \
lsp.init \
lsp.defseq \
lsp.backquot \
lsp.defmacro \
lsp.macros1 \
lsp.macros2 \
lsp.defs1 \
lsp.places \
lsp.floatpri \
lsp.type \
lsp.defstruc \
lsp.format \
lsp.user1 \
lsp.user2 \
lsp.trace \
lsp.macros3 \
lsp.config \
lsp.compiler \
lsp.defs2 \
lsp.clos \
lsp.condition \
lsp.defs3 \
lsp.screen \
lsp.stdwin2 \
lsp.rexx \
lsp.editor

FASFILES = \
fas.init \
fas.defseq \
fas.backquot \
fas.defmacro \
fas.macros1 \
fas.macros2 \
fas.defs1 \
fas.places \
fas.floatpri \
fas.type \
fas.defstruc \
fas.format \
fas.user1 \
fas.user2 \
fas.trace \
fas.macros3 \
fas.config \
fas.compiler \
fas.defs2 \
fas.clos \
fas.condition \
fas.defs3 \
fas.screen \
fas.stdwin2 \
fas.rexx \
fas.editor

TXTFILES = \
LISP-tutorial.txt \
CLOS-guide.txt \
cltl2.txt

TESTLSPFILES = \
stage/init.lsp \
stage/defseq.lsp \
stage/backquot.lsp \
stage/defmacro.lsp \
stage/macros1.lsp \
stage/macros2.lsp \
stage/defs1.lsp \
stage/places.lsp \
stage/floatpri.lsp \
stage/type.lsp \
stage/defstruc.lsp \
stage/format.lsp \
stage/user1.lsp \
stage/user2.lsp \
stage/trace.lsp \
stage/macros3.lsp \
stage/config.lsp \
stage/compiler.lsp \
stage/defs2.lsp \
stage/clos.lsp \
stage/condition.lsp \
stage/defs3.lsp \
stage/screen.lsp \
stage/stdwin2.lsp \
stage/rexx.lsp \
stage/editor.lsp

TESTFASFILES = \
stage/init.fas \
stage/defseq.fas \
stage/backquot.fas \
stage/defmacro.fas \
stage/macros1.fas \
stage/macros2.fas \
stage/defs1.fas \
stage/places.fas \
stage/floatpri.fas \
stage/type.fas \
stage/defstruc.fas \
stage/format.fas \
stage/user1.fas \
stage/user2.fas \
stage/trace.fas \
stage/macros3.fas \
stage/config.fas \
stage/compiler.fas \
stage/defs2.fas \
stage/clos.fas \
stage/condition.fas \
stage/defs3.fas \
stage/screen.fas \
stage/stdwin2.fas \
stage/rexx.fas \
stage/editor.fas


all : init allc allo lisp_run inter_mem hlfcmp_mem comp_mem manual


init : machine.h comment5 ansidecl txt2c $(DFILES)
	echo init made

machine.h : ^.src.c.machine
	$(CC) $(CFLAGS) ^.src.c.machine -o machine
	machine > machine.h
	$(RM) machine

comment5 : ^.utils.c.comment5
	$(CC) $(CFLAGS) ^.utils.c.comment5 -o comment5

ansidecl : ^.utils.d.ansidecl comment5
	$(LN) ^.utils.d.ansidecl d.ansidecl
	$(COMMENT5) d.ansidecl c.ansidecl
	$(RM) d.ansidecl
	$(CC) $(CFLAGS) c.ansidecl -o ansidecl
	$(RM) c.ansidecl
	$(RM) o.ansidecl

txt2c : ^.utils.c.txt2c
	$(CC) $(CFLAGS) ^.utils.c.txt2c -o txt2c


^.src.d.lisparit0 : cl_src_d:lisparit cl_src_d:aridecl cl_src_d:arilev0 cl_src_d:arilev1 cl_src_d:intelem cl_src_d:intlog cl_src_d:intplus cl_src_d:intcomp cl_src_d:intbyte cl_src_d:intmal cl_src_d:intdiv cl_src_d:intgcd cl_src_d:int2adic cl_src_d:intsqrt cl_src_d:intprint cl_src_d:intread cl_src_d:rational cl_src_d:sfloat cl_src_d:ffloat cl_src_d:dfloat cl_src_d:lfloat cl_src_d:flo_konv cl_src_d:flo_rest cl_src_d:realelem cl_src_d:realrand cl_src_d:realtran cl_src_d:compelem cl_src_d:comptran
	$(RM) ^.src.d.lisparit0
	$(RM) ^.src.tmp.lisparit0
	$(SED) 19q cl_src_d:lisparit > ^.src.tmp.lisparit0
	$(CAT) cl_src_d:aridecl >> ^.src.tmp.lisparit0
	$(CAT) cl_src_d:arilev0 >> ^.src.tmp.lisparit0
	$(CAT) cl_src_d:arilev1 >> ^.src.tmp.lisparit0
	$(CAT) cl_src_d:intelem >> ^.src.tmp.lisparit0
	$(CAT) cl_src_d:intlog >> ^.src.tmp.lisparit0
	$(CAT) cl_src_d:intplus >> ^.src.tmp.lisparit0
	$(CAT) cl_src_d:intcomp >> ^.src.tmp.lisparit0
	$(CAT) cl_src_d:intbyte >> ^.src.tmp.lisparit0
	$(CAT) cl_src_d:intmal >> ^.src.tmp.lisparit0
	$(CAT) cl_src_d:intdiv >> ^.src.tmp.lisparit0
	$(CAT) cl_src_d:intgcd >> ^.src.tmp.lisparit0
	$(CAT) cl_src_d:int2adic >> ^.src.tmp.lisparit0
	$(CAT) cl_src_d:intsqrt >> ^.src.tmp.lisparit0
	$(CAT) cl_src_d:intprint >> ^.src.tmp.lisparit0
	$(CAT) cl_src_d:intread >> ^.src.tmp.lisparit0
	$(CAT) cl_src_d:rational >> ^.src.tmp.lisparit0
	$(CAT) cl_src_d:sfloat >> ^.src.tmp.lisparit0
	$(CAT) cl_src_d:ffloat >> ^.src.tmp.lisparit0
	$(CAT) cl_src_d:dfloat >> ^.src.tmp.lisparit0
	$(CAT) cl_src_d:lfloat >> ^.src.tmp.lisparit0
	$(CAT) cl_src_d:flo_konv >> ^.src.tmp.lisparit0
	$(CAT) cl_src_d:flo_rest >> ^.src.tmp.lisparit0
	$(CAT) cl_src_d:realelem >> ^.src.tmp.lisparit0
	$(CAT) cl_src_d:realrand >> ^.src.tmp.lisparit0
	$(CAT) cl_src_d:realtran >> ^.src.tmp.lisparit0
	$(CAT) cl_src_d:compelem >> ^.src.tmp.lisparit0
	$(CAT) cl_src_d:comptran >> ^.src.tmp.lisparit0
	$(SED) 1,52d cl_src_d:lisparit >> ^.src.tmp.lisparit0
	$(MV) ^.src.tmp.lisparit0 ^.src.d.lisparit0

d.spvw : cl_src_d:spvw
	-$(LN) cl_src_d:spvw d.spvw

d.spvwtabf : cl_src_d:spvwtabf
	-$(LN) cl_src_d:spvwtabf d.spvwtabf

d.spvwtabs : cl_src_d:spvwtabs
	-$(LN) cl_src_d:spvwtabs d.spvwtabs

d.spvwtabo : cl_src_d:spvwtabo
	-$(LN) cl_src_d:spvwtabo d.spvwtabo

d.eval : cl_src_d:eval
	-$(LN) cl_src_d:eval d.eval

d.control : cl_src_d:control
	-$(LN) cl_src_d:control d.control

d.pathname : cl_src_d:pathname
	-$(LN) cl_src_d:pathname d.pathname

d.stream : cl_src_d:stream
	-$(LN) cl_src_d:stream d.stream

d.socket : cl_src_d:socket
	-$(LN) cl_src_d:socket d.socket

d.io : cl_src_d:io
	-$(LN) cl_src_d:io d.io

d.array : cl_src_d:array
	-$(LN) cl_src_d:array d.array

d.hashtabl : cl_src_d:hashtabl
	-$(LN) cl_src_d:hashtabl d.hashtabl

d.list : cl_src_d:list
	-$(LN) cl_src_d:list d.list

d.package : cl_src_d:package
	-$(LN) cl_src_d:package d.package

d.record : cl_src_d:record
	-$(LN) cl_src_d:record d.record

d.sequence : cl_src_d:sequence
	-$(LN) cl_src_d:sequence d.sequence

d.charstrg : cl_src_d:charstrg
	-$(LN) cl_src_d:charstrg d.charstrg

d.debug : cl_src_d:debug
	-$(LN) cl_src_d:debug d.debug

d.error : cl_src_d:error
	-$(LN) cl_src_d:error d.error

d.misc : cl_src_d:misc
	-$(LN) cl_src_d:misc d.misc

d.predtype : cl_src_d:predtype
	-$(LN) cl_src_d:predtype d.predtype

d.symbol : cl_src_d:symbol
	-$(LN) cl_src_d:symbol d.symbol

d.lisparit0 : ^.src.d.lisparit0
	-$(LN) ^.src.d.lisparit0 d.lisparit0

d.stdwin : cl_src_d:stdwin
	-$(LN) cl_src_d:stdwin d.stdwin

d.graph : cl_src_d:graph
	-$(LN) cl_src_d:graph d.graph

d.dbxtypes : cl_src_d:dbxtypes
	-$(LN) cl_src_d:dbxtypes d.dbxtypes

d.unixaux : cl_src_d:unixaux
	-$(LN) cl_src_d:unixaux d.unixaux

d.lispbibl : cl_src_d:lispbibl
	-$(LN) cl_src_d:lispbibl d.lispbibl

d.fsubr : cl_src_d:fsubr
	-$(LN) cl_src_d:fsubr d.fsubr

d.subr : cl_src_d:subr
	-$(LN) cl_src_d:subr d.subr

d.pseudofun : cl_src_d:pseudofun
	-$(LN) cl_src_d:pseudofun d.pseudofun

d.constsym : cl_src_d:constsym
	-$(LN) cl_src_d:constsym d.constsym

d.constobj : cl_src_d:constobj
	-$(LN) cl_src_d:constobj d.constobj

d.unix : cl_src_d:unix
	-$(LN) cl_src_d:unix d.unix

d.constpack : cl_src_d:constpack
	-$(LN) cl_src_d:constpack d.constpack

d.avl : cl_src_d:avl
	-$(LN) cl_src_d:avl d.avl

d.sort : cl_src_d:sort
	-$(LN) cl_src_d:sort d.sort

d.aridecl : cl_src_d:aridecl
	-$(LN) cl_src_d:aridecl d.aridecl

d.arilev0 : cl_src_d:arilev0
	-$(LN) cl_src_d:arilev0 d.arilev0

d.arilev1c : cl_src_d:arilev1c
	-$(LN) cl_src_d:arilev1c d.arilev1c

d.arilev1e : cl_src_d:arilev1e
	-$(LN) cl_src_d:arilev1e d.arilev1e

d.arilev1i : cl_src_d:arilev1i
	-$(LN) cl_src_d:arilev1i d.arilev1i

d.noreadline : cl_src_d:noreadline
	-$(LN) cl_src_d:noreadline d.noreadline

d.main : cl_src_d:main
	-$(LN) cl_src_d:main d.main

generrors : cl_src:utils.generrors.c
	$(CC) $(CFLAGS) cl_src:utils.generrors.c -o generrors

errors.c : generrors
	generrors > c.errors

allc : init $(CFILES)
	echo allc made

spvw.c : d.spvw comment5 ansidecl
	$(COMMENT5) d.spvw $(TEMPFILE)
	$(ANSIDECL) < $(TEMPFILE) > c.spvw

spvwtabf.c : d.spvwtabf comment5 ansidecl
	$(COMMENT5) d.spvwtabf $(TEMPFILE)
	$(ANSIDECL) < $(TEMPFILE) > c.spvwtabf

spvwtabs.c : d.spvwtabs comment5 ansidecl
	$(COMMENT5) d.spvwtabs $(TEMPFILE)
	$(ANSIDECL) < $(TEMPFILE) > c.spvwtabs

spvwtabo.c : d.spvwtabo comment5 ansidecl
	$(COMMENT5) d.spvwtabo $(TEMPFILE)
	$(ANSIDECL) < $(TEMPFILE) > c.spvwtabo

eval.c : d.eval comment5 ansidecl
	$(COMMENT5) d.eval $(TEMPFILE)
	$(ANSIDECL) < $(TEMPFILE) > c.eval

control.c : d.control comment5 ansidecl
	$(COMMENT5) d.control $(TEMPFILE)
	$(ANSIDECL) < $(TEMPFILE) > c.control

pathname.c : d.pathname comment5 ansidecl
	$(COMMENT5) d.pathname $(TEMPFILE)
	$(ANSIDECL) < $(TEMPFILE) > c.pathname

stream.c : d.stream comment5 ansidecl
	$(COMMENT5) d.stream $(TEMPFILE)
	$(ANSIDECL) < $(TEMPFILE) > c.stream

socket.c : d.socket comment5 ansidecl
	$(COMMENT5) d.socket $(TEMPFILE)
	$(ANSIDECL) < $(TEMPFILE) > c.socket

io.c : d.io comment5 ansidecl
	$(COMMENT5) d.io $(TEMPFILE)
	$(ANSIDECL) < $(TEMPFILE) > c.io

array.c : d.array comment5 ansidecl
	$(COMMENT5) d.array $(TEMPFILE)
	$(ANSIDECL) < $(TEMPFILE) > c.array

hashtabl.c : d.hashtabl comment5 ansidecl
	$(COMMENT5) d.hashtabl $(TEMPFILE)
	$(ANSIDECL) < $(TEMPFILE) > c.hashtabl

list.c : d.list comment5 ansidecl
	$(COMMENT5) d.list $(TEMPFILE)
	$(ANSIDECL) < $(TEMPFILE) > c.list

package.c : d.package comment5 ansidecl
	$(COMMENT5) d.package $(TEMPFILE)
	$(ANSIDECL) < $(TEMPFILE) > c.package

record.c : d.record comment5 ansidecl
	$(COMMENT5) d.record $(TEMPFILE)
	$(ANSIDECL) < $(TEMPFILE) > c.record

sequence.c : d.sequence comment5 ansidecl
	$(COMMENT5) d.sequence $(TEMPFILE)
	$(ANSIDECL) < $(TEMPFILE) > c.sequence

charstrg.c : d.charstrg comment5 ansidecl
	$(COMMENT5) d.charstrg $(TEMPFILE)
	$(ANSIDECL) < $(TEMPFILE) > c.charstrg

debug.c : d.debug comment5 ansidecl
	$(COMMENT5) d.debug $(TEMPFILE)
	$(ANSIDECL) < $(TEMPFILE) > c.debug

error.c : d.error comment5 ansidecl errors.c
	$(COMMENT5) d.error $(TEMPFILE)
	$(ANSIDECL) < $(TEMPFILE) > c.error

misc.c : d.misc comment5 ansidecl
	$(COMMENT5) d.misc $(TEMPFILE)
	$(ANSIDECL) < $(TEMPFILE) > c.misc

predtype.c : d.predtype comment5 ansidecl
	$(COMMENT5) d.predtype $(TEMPFILE)
	$(ANSIDECL) < $(TEMPFILE) > c.predtype

symbol.c : d.symbol comment5 ansidecl
	$(COMMENT5) d.symbol $(TEMPFILE)
	$(ANSIDECL) < $(TEMPFILE) > c.symbol

lisparit0.c : d.lisparit0 comment5 ansidecl
	$(COMMENT5) d.lisparit0 $(TEMPFILE)
	$(ANSIDECL) < $(TEMPFILE) > c.lisparit0

stdwin.c : d.stdwin comment5 ansidecl
	$(COMMENT5) d.stdwin $(TEMPFILE)
	$(ANSIDECL) < $(TEMPFILE) > c.stdwin

graph.c : d.graph comment5 ansidecl
	$(COMMENT5) d.graph $(TEMPFILE)
	$(ANSIDECL) < $(TEMPFILE) > c.graph

dbxtypes.c : d.dbxtypes comment5 ansidecl
	$(COMMENT5) d.dbxtypes $(TEMPFILE)
	$(ANSIDECL) < $(TEMPFILE) > c.dbxtypes

unixaux.c : d.unixaux comment5 ansidecl
	$(COMMENT5) d.unixaux $(TEMPFILE)
	$(ANSIDECL) < $(TEMPFILE) > c.unixaux

acornaux.c : d.acornaux comment5 ansidecl
	$(COMMENT5) d.acornaux $(TEMPFILE)
	$(ANSIDECL) < $(TEMPFILE) > c.acornaux

lispbibl.c : d.lispbibl comment5 ansidecl
	$(COMMENT5) d.lispbibl $(TEMPFILE)
	$(ANSIDECL) < $(TEMPFILE) > c.lispbibl

fsubr.c : d.fsubr comment5 ansidecl
	$(COMMENT5) d.fsubr $(TEMPFILE)
	$(ANSIDECL) < $(TEMPFILE) > c.fsubr

subr.c : d.subr comment5 ansidecl
	$(COMMENT5) d.subr $(TEMPFILE)
	$(ANSIDECL) < $(TEMPFILE) > c.subr

pseudofun.c : d.pseudofun comment5 ansidecl
	$(COMMENT5) d.pseudofun $(TEMPFILE)
	$(ANSIDECL) < $(TEMPFILE) > c.pseudofun

constsym.c : d.constsym comment5 ansidecl
	$(COMMENT5) d.constsym $(TEMPFILE)
	$(ANSIDECL) < $(TEMPFILE) > c.constsym

constobj.c : d.constobj comment5 ansidecl
	$(COMMENT5) d.constobj $(TEMPFILE)
	$(ANSIDECL) < $(TEMPFILE) > c.constobj

acorn.c : d.acorn comment5 ansidecl
	$(COMMENT5) d.acorn $(TEMPFILE)
	$(ANSIDECL) < $(TEMPFILE) > c.acorn

constpack.c : d.constpack comment5 ansidecl
	$(COMMENT5) d.constpack $(TEMPFILE)
	$(ANSIDECL) < $(TEMPFILE) > c.constpack

avl.c : d.avl comment5 ansidecl
	$(COMMENT5) d.avl $(TEMPFILE)
	$(ANSIDECL) < $(TEMPFILE) > c.avl

sort.c : d.sort comment5 ansidecl
	$(COMMENT5) d.sort $(TEMPFILE)
	$(ANSIDECL) < $(TEMPFILE) > c.sort

aridecl.c : d.aridecl comment5 ansidecl
	$(COMMENT5) d.aridecl $(TEMPFILE)
	$(ANSIDECL) < $(TEMPFILE) > c.aridecl

arilev0.c : d.arilev0 comment5 ansidecl
	$(COMMENT5) d.arilev0 $(TEMPFILE)
	$(ANSIDECL) < $(TEMPFILE) > c.arilev0

arilev1c.c : d.arilev1c comment5 ansidecl
	$(COMMENT5) d.arilev1c $(TEMPFILE)
	$(ANSIDECL) < $(TEMPFILE) > c.arilev1c

arilev1e.c : d.arilev1e comment5 ansidecl
	$(COMMENT5) d.arilev1e $(TEMPFILE)
	$(ANSIDECL) < $(TEMPFILE) > c.arilev1e

arilev1i.c : d.arilev1i comment5 ansidecl
	$(COMMENT5) d.arilev1i $(TEMPFILE)
	$(ANSIDECL) < $(TEMPFILE) > c.arilev1i

noreadline.c : d.noreadline comment5 ansidecl
	$(COMMENT5) d.noreadline $(TEMPFILE)
	$(ANSIDECL) < $(TEMPFILE) > c.noreadline

main.c : d.main comment5 ansidecl
	$(COMMENT5) d.main $(TEMPFILE)
	$(ANSIDECL) < $(TEMPFILE) > c.main

ariarm.c : d.ariarm comment5  
	$(COMMENT5) d.ariarm > c.ariarm

ariarm.s : c.ariarm
	$(CPP) -DUNDERSCORE c.ariarm TMPPIPE1
	$(SED) 1d < TMPPIPE1 > s.ariarm
	$(RM) TMPPIPE1

allo : allc spvw.o spvwtabf.o spvwtabs.o spvwtabo.o eval.o control.o pathname.o stream.o socket.o io.o array.o hashtabl.o list.o package.o record.o sequence.o charstrg.o debug.o error.o misc.o predtype.o symbol.o lisparit0.o stdwin.o graph.o dbxtypes.o unixaux.o acornaux.o
	echo allo made

alls : allc spvw.s spvwtabf.s spvwtabs.s spvwtabo.s eval.s control.s pathname.s stream.s socket.s io.s array.s hashtabl.s list.s package.s record.s sequence.s charstrg.s debug.s error.s misc.s predtype.s symbol.s lisparit0.s stdwin.s graph.s dbxtypes.s unixaux.s acornaux.s

alli : allc spvw.i spvwtabf.i spvwtabs.i spvwtabo.i eval.i control.i pathname.i stream.i socket.i io.i array.i hashtabl.i list.i package.i record.i sequence.i charstrg.i debug.i error.i misc.i predtype.i symbol.i lisparit0.i stdwin.i graph.i dbxtypes.i unixaux.i acornaux.i

spvw.i : spvw.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c constpack.c avl.c sort.c arilev0.c
	$(CPP) $(CFLAGS) spvw.c > i.spvw

spvw.s : spvw.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c constpack.c avl.c sort.c arilev0.c
	$(CC) $(CFLAGS) -S spvw.c

spvw.o : spvw.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c constpack.c avl.c sort.c arilev0.c
	$(CC) $(CFLAGS) -c spvw.c

spvwtabf.i : spvwtabf.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CPP) $(CFLAGS) spvwtabf.c > i.spvwtabf

spvwtabf.s : spvwtabf.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CC) $(CFLAGS) -S spvwtabf.c

spvwtabf.o : spvwtabf.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CC) $(CFLAGS) -c spvwtabf.c

spvwtabs.i : spvwtabs.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CPP) $(CFLAGS) spvwtabs.c > i.spvwtabs

spvwtabs.s : spvwtabs.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CC) $(CFLAGS) -S spvwtabs.c

spvwtabs.o : spvwtabs.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CC) $(CFLAGS) -c spvwtabs.c

spvwtabo.i : spvwtabo.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CPP) $(CFLAGS) spvwtabo.c > i.spvwtabo

spvwtabo.s : spvwtabo.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CC) $(CFLAGS) -S spvwtabo.c

spvwtabo.o : spvwtabo.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CC) $(CFLAGS) -c spvwtabo.c

eval.i : eval.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CPP) $(CFLAGS) eval.c > i.eval

eval.s : eval.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CC) $(CFLAGS) -S eval.c

eval.o : eval.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CC) $(CFLAGS) -c eval.c

control.i : control.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CPP) $(CFLAGS) control.c > i.control

control.s : control.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CC) $(CFLAGS) -S control.c

control.o : control.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CC) $(CFLAGS) -c control.c

pathname.i : pathname.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CPP) $(CFLAGS) pathname.c > i.pathname

pathname.s : pathname.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CC) $(CFLAGS) -S pathname.c

pathname.o : pathname.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CC) $(CFLAGS) -c pathname.c

stream.i : stream.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c arilev0.c
	$(CPP) $(CFLAGS) -I^.src.readline stream.c > i.stream

stream.s : stream.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c arilev0.c
	$(CC) $(CFLAGS) -I^.src.readline -S stream.c

stream.o : stream.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c arilev0.c
	$(CC) $(CFLAGS) -I^.src.readline -c stream.c

socket.i : socket.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CPP) $(CFLAGS) socket.c > i.socket

socket.s : socket.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CC) $(CFLAGS) -S socket.c

socket.o : socket.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CC) $(CFLAGS) -c socket.c

io.i : io.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c arilev0.c
	$(CPP) $(CFLAGS) io.c > i.io

io.s : io.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c arilev0.c
	$(CC) $(CFLAGS) -S io.c

io.o : io.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c arilev0.c
	$(CC) $(CFLAGS) -c io.c

array.i : array.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c arilev0.c
	$(CPP) $(CFLAGS) array.c > i.array

array.s : array.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c arilev0.c
	$(CC) $(CFLAGS) -S array.c

array.o : array.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c arilev0.c
	$(CC) $(CFLAGS) -c array.c

hashtabl.i : hashtabl.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c arilev0.c aridecl.c
	$(CPP) $(CFLAGS) hashtabl.c > i.hashtabl

hashtabl.s : hashtabl.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c arilev0.c aridecl.c
	$(CC) $(CFLAGS) -S hashtabl.c

hashtabl.o : hashtabl.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c arilev0.c aridecl.c
	$(CC) $(CFLAGS) -c hashtabl.c

list.i : list.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CPP) $(CFLAGS) list.c > i.list

list.s : list.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CC) $(CFLAGS) -S list.c

list.o : list.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CC) $(CFLAGS) -c list.c

package.i : package.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c constpack.c arilev0.c
	$(CPP) $(CFLAGS) package.c > i.package

package.s : package.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c constpack.c arilev0.c
	$(CC) $(CFLAGS) -S package.c

package.o : package.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c constpack.c arilev0.c
	$(CC) $(CFLAGS) -c package.c

record.i : record.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CPP) $(CFLAGS) record.c > i.record

record.s : record.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CC) $(CFLAGS) -S record.c

record.o : record.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CC) $(CFLAGS) -c record.c

sequence.i : sequence.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CPP) $(CFLAGS) sequence.c > i.sequence

sequence.s : sequence.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CC) $(CFLAGS) -S sequence.c

sequence.o : sequence.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CC) $(CFLAGS) -c sequence.c

charstrg.i : charstrg.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CPP) $(CFLAGS) charstrg.c > i.charstrg

charstrg.s : charstrg.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CC) $(CFLAGS) -S charstrg.c

charstrg.o : charstrg.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CC) $(CFLAGS) -c charstrg.c

debug.i : debug.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CPP) $(CFLAGS) debug.c > i.debug

debug.s : debug.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CC) $(CFLAGS) -S debug.c

debug.o : debug.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CC) $(CFLAGS) -c debug.c

error.i : error.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CPP) $(CFLAGS) error.c > i.error

error.s : error.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CC) $(CFLAGS) -S error.c

error.o : error.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CC) $(CFLAGS) -c error.c

misc.i : misc.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c arilev0.c
	$(CPP) $(CFLAGS) misc.c > i.misc

misc.s : misc.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c arilev0.c
	$(CC) $(CFLAGS) -S misc.c

misc.o : misc.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c arilev0.c
	$(CC) $(CFLAGS) -c misc.c

predtype.i : predtype.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CPP) $(CFLAGS) predtype.c > i.predtype

predtype.s : predtype.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CC) $(CFLAGS) -S predtype.c

predtype.o : predtype.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CC) $(CFLAGS) -c predtype.c

symbol.i : symbol.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CPP) $(CFLAGS) symbol.c > i.symbol

symbol.s : symbol.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CC) $(CFLAGS) -S symbol.c

symbol.o : symbol.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CC) $(CFLAGS) -c symbol.c

lisparit0.i : lisparit0.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c arilev1c.c arilev1e.c arilev1i.c ariarm.c
	$(CPP) $(CFLAGS) lisparit0.c > i.lisparit0

lisparit0.s : lisparit0.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c arilev1c.c arilev1e.c arilev1i.c ariarm.c
	$(CC) $(CFLAGS) -S lisparit0.c

lisparit0.o : lisparit0.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c arilev1c.c arilev1e.c arilev1i.c ariarm.c
	$(CC) $(CFLAGS) -c lisparit0.c

stdwin.i : stdwin.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CPP) $(CFLAGS) -Istdwin/H stdwin.c > i.stdwin

stdwin.s : stdwin.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CC) $(CFLAGS) -Istdwin/H -S stdwin.c

stdwin.o : stdwin.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CC) $(CFLAGS) -Istdwin/H -c stdwin.c

graph.i : graph.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c arilev0.c
	$(CPP) $(CFLAGS)  graph.c > i.graph

graph.s : graph.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c arilev0.c
	$(CC) $(CFLAGS)  -S graph.c

graph.o : graph.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c arilev0.c
	$(CC) $(CFLAGS)  -c graph.c

dbxtypes.i : dbxtypes.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CPP) $(CFLAGS) dbxtypes.c > i.dbxtypes

dbxtypes.s : dbxtypes.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CC) $(CFLAGS) -S dbxtypes.c

dbxtypes.o : dbxtypes.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CC) $(CFLAGS) -c dbxtypes.c

unixaux.i : unixaux.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CPP) $(CFLAGS) unixaux.c > i.unixaux

unixaux.s : unixaux.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CC) $(CFLAGS) -S unixaux.c

unixaux.o : unixaux.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CC) $(CFLAGS) -c unixaux.c

acornaux.i : acornaux.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CPP) $(CFLAGS) acornaux.c > i.acornaux

acornaux.s : acornaux.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CC) $(CFLAGS) -S acornaux.c

acornaux.o : acornaux.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CC) $(CFLAGS) -c acornaux.c

noreadline.i : noreadline.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CPP) $(CFLAGS) -I^.src.readline noreadline.c > i.noreadline

noreadline.s : noreadline.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CC) $(CFLAGS) -I^.src.readline -S noreadline.c

noreadline.o : noreadline.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CC) $(CFLAGS) -I^.src.readline -c noreadline.c

main.i : main.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CPP) $(CFLAGS) main.c > i.main

main.s : main.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CC) $(CFLAGS) -S main.c

main.o : main.c lispbibl.c fsubr.c subr.c pseudofun.c constsym.c constobj.c acorn.c
	$(CC) $(CFLAGS) -c main.c

ariarm.o : s.ariarm
	$(ASM) $(ASMFLAGS) -from s.ariarm -to o.ariarm

bits.o : bits.c
	$(CC) $(CFLAGS) -c bits.c

lisp_run : $(OBJECTS) noreadline.o bits.o
	$(CC) $(CFLAGS) $(LFLAGS) $(OBJECTS) noreadline.o bits.o -o lisp_run

lisp_runR : $(OBJECTS) ^.src.readline.libreadlin bits.o
	$(CC) $(CFLAGS) $(LFLAGS) $(OBJECTS) libreadlin.o bits.o -o lisp_runR



alllsp : $(LSPFILES)
	echo alllsp made

lsp.init : cl_src_lsp:init
	-$(LN) cl_src_lsp:init cl_targ_lsp:lsp.init

lsp.defseq : cl_src_lsp:defseq
	-$(LN) cl_src_lsp:defseq cl_targ_lsp:lsp.defseq

lsp.backquot : cl_src_lsp:backquot
	-$(LN) cl_src_lsp:backquot cl_targ_lsp:lsp.backquot

lsp.defmacro : cl_src_lsp:defmacro
	-$(LN) cl_src_lsp:defmacro cl_targ_lsp:lsp.defmacro

lsp.macros1 : cl_src_lsp:macros1
	-$(LN) cl_src_lsp:macros1 cl_targ_lsp:lsp.macros1

lsp.macros2 : cl_src_lsp:macros2
	-$(LN) cl_src_lsp:macros2 cl_targ_lsp:lsp.macros2

lsp.defs1 : cl_src_lsp:defs1
	-$(LN) cl_src_lsp:defs1 cl_targ_lsp:lsp.defs1

lsp.places : cl_src_lsp:places
	-$(LN) cl_src_lsp:places cl_targ_lsp:lsp.places

lsp.floatpri : cl_src_lsp:floatpri
	-$(LN) cl_src_lsp:floatpri cl_targ_lsp:lsp.floatpri

lsp.type : cl_src_lsp:type
	-$(LN) cl_src_lsp:type cl_targ_lsp:lsp.type

lsp.defstruc : cl_src_lsp:defstruc
	-$(LN) cl_src_lsp:defstruc cl_targ_lsp:lsp.defstruc

lsp.format : cl_src_lsp:format
	-$(LN) cl_src_lsp:format cl_targ_lsp:lsp.format

lsp.user1 : cl_src_lsp:user1
	-$(LN) cl_src_lsp:user1 cl_targ_lsp:lsp.user1

lsp.user2 : cl_src_lsp:user2
	-$(LN) cl_src_lsp:user2 cl_targ_lsp:lsp.user2

lsp.trace : cl_src_lsp:trace
	-$(LN) cl_src_lsp:trace cl_targ_lsp:lsp.trace

lsp.macros3 : cl_src_lsp:macros3
	-$(LN) cl_src_lsp:macros3 cl_targ_lsp:lsp.macros3

lsp.config : ^.src.lsp.cfgriscos
	$(CP) ^.src.lsp.cfgriscos cl_targ_lsp:lsp.config

lsp.compiler : cl_src_lsp:compiler
	-$(LN) cl_src_lsp:compiler cl_targ_lsp:lsp.compiler

lsp.defs2 : cl_src_lsp:defs2
	-$(LN) cl_src_lsp:defs2 cl_targ_lsp:lsp.defs2

lsp.clos : cl_src_lsp:clos
	-$(LN) cl_src_lsp:clos cl_targ_lsp:lsp.clos

lsp.condition : cl_src_lsp:condition
	-$(LN) cl_src_lsp:condition cl_targ_lsp:lsp.condition

lsp.defs3 : cl_src_lsp:defs3
	-$(LN) cl_src_lsp:defs3 cl_targ_lsp:lsp.defs3

lsp.screen : cl_src_lsp:screen
	-$(LN) cl_src_lsp:screen cl_targ_lsp:lsp.screen

lsp.stdwin2 : cl_src_lsp:stdwin2
	-$(LN) cl_src_lsp:stdwin2 cl_targ_lsp:lsp.stdwin2

lsp.rexx : cl_src_lsp:rexx
	-$(LN) cl_src_lsp:rexx cl_targ_lsp:lsp.rexx

lsp.editor : cl_src_lsp:editor
	-$(LN) cl_src_lsp:editor cl_targ_lsp:lsp.editor

inter_mem : lisp_run $(LSPFILES)
	$(LISP_RUN) -m 750KW -x "(load \"init.lsp\") (sys::%saveinitmem) (exit)"
	$(MV) lspnit/mem inter_mem

fas.init : lsp.init lisp_run hlfcmp_mem
	$(LISP_RUN) -m 750KW -M inter_mem -q -c init.lsp

fas.defseq : lsp.defseq lisp_run hlfcmp_mem
	$(LISP_RUN) -m 750KW -M inter_mem -q -c defseq.lsp

fas.backquot : lsp.backquot lisp_run hlfcmp_mem
	$(LISP_RUN) -m 750KW -M inter_mem -q -c backquot.lsp

fas.defmacro : lsp.defmacro lisp_run hlfcmp_mem
	$(LISP_RUN) -m 750KW -M inter_mem -q -c defmacro.lsp

fas.macros1 : lsp.macros1 lisp_run hlfcmp_mem
	$(LISP_RUN) -m 750KW -M inter_mem -q -c macros1.lsp

fas.macros2 : lsp.macros2 lisp_run hlfcmp_mem
	$(LISP_RUN) -m 750KW -M inter_mem -q -c macros2.lsp

fas.defs1 : lsp.defs1 lisp_run hlfcmp_mem
	$(LISP_RUN) -m 750KW -M inter_mem -q -c defs1.lsp

fas.places : lsp.places lisp_run hlfcmp_mem
	$(LISP_RUN) -m 750KW -M inter_mem -q -c places.lsp

fas.floatpri : lsp.floatpri lisp_run hlfcmp_mem
	$(LISP_RUN) -m 750KW -M inter_mem -q -c floatpri.lsp

fas.type : lsp.type lisp_run hlfcmp_mem
	$(LISP_RUN) -m 750KW -M inter_mem -q -c type.lsp

fas.defstruc : lsp.defstruc lisp_run hlfcmp_mem
	$(LISP_RUN) -m 750KW -M inter_mem -q -c defstruc.lsp

fas.format : lsp.format lisp_run hlfcmp_mem
	$(LISP_RUN) -m 750KW -M inter_mem -q -c format.lsp

fas.user1 : lsp.user1 lisp_run hlfcmp_mem
	$(LISP_RUN) -m 750KW -M inter_mem -q -c user1.lsp

fas.user2 : lsp.user2 lisp_run hlfcmp_mem
	$(LISP_RUN) -m 750KW -M inter_mem -q -c user2.lsp

fas.trace : lsp.trace lisp_run hlfcmp_mem
	$(LISP_RUN) -m 750KW -M inter_mem -q -c trace.lsp

fas.macros3 : lsp.macros3 lisp_run hlfcmp_mem
	$(LISP_RUN) -m 750KW -M inter_mem -q -c macros3.lsp

fas.config : lsp.config lisp_run hlfcmp_mem
	$(LISP_RUN) -m 750KW -M inter_mem -q -c config.lsp

fas.compiler : lsp.compiler lisp_run inter_mem
	$(LISP_RUN) -m 750KW -M inter_mem -q -c compiler.lsp

fas.defs2 : lsp.defs2 lisp_run hlfcmp_mem
	$(LISP_RUN) -m 750KW -M inter_mem -q -c defs2.lsp

fas.clos : lsp.clos lisp_run hlfcmp_mem
	$(LISP_RUN) -m 750KW -M inter_mem -q -c clos.lsp

fas.condition : lsp.condition lisp_run hlfcmp_mem
	$(LISP_RUN) -m 750KW -M inter_mem -q -c condition.lsp

fas.defs3 : lsp.defs3 lisp_run hlfcmp_mem
	$(LISP_RUN) -m 750KW -M inter_mem -q -c defs3.lsp

fas.screen : lsp.screen lisp_run hlfcmp_mem
	$(LISP_RUN) -m 750KW -M inter_mem -q -c screen.lsp

fas.stdwin2 : lsp.stdwin2 lisp_run hlfcmp_mem
	$(LISP_RUN) -m 750KW -M inter_mem -q -c stdwin2.lsp

fas.rexx : lsp.rexx lisp_run hlfcmp_mem
	$(LISP_RUN) -m 750KW -M inter_mem -q -c rexx.lsp

fas.editor : lsp.editor lisp_run hlfcmp_mem
	$(LISP_RUN) -m 750KW -M inter_mem -q -c editor.lsp

hlfcmp_mem : lisp_run $(LSPFILES) fas.compiler
	$(LISP_RUN) -m 750KW -x "(load \"init.lsp\") (sys::%saveinitmem) (exit)"
	$(MV) lspnit/mem inter_mem
	$(TOUCH) fas.compiler
	create hlfcmp_mem
	settype hlfcmp_mem text
	$(TOUCH) hlfcmp_mem

comp_mem : lisp_run $(FASFILES)
	$(LISP_RUN) -x "(load \"init.fas\") (sys::%saveinitmem) (exit)"
	$(MV) lspnit/mem comp_mem

manual :
	echo where is the manual ?
